Cyan Web API - Version 1


GET api/nodeRoutes?{nodeId}

            Gets all of the NodeRoutes for a Node
            

Request Information

Parameters

NameDescriptionAdditional information
nodeId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeRouteId": "d63cdc6e-39b2-4d46-ade3-0d9cc0754649",
    "tenantId": "89599a9c-9153-4b19-b494-1d3c9f8afaae",
    "userId": "045d5898-56a8-45d3-9da7-081fcbc4a4cc",
    "userGroupId": "a5ab7147-1e8b-4c2b-8213-f59bcf797d9c",
    "deviceId": "f7f3ff85-500f-4b49-9a92-634206f1407c",
    "deviceGroupId": "e52cab40-1a0e-4b44-b142-6d1a6d488b2f",
    "applicationId": "c63c8e87-c43c-4b9e-ad12-37ef30ec97f5",
    "applicationVersionId": "937367ee-f1ad-47f2-8272-b37c112fd8ad",
    "nodeId": "b68b54c0-05d9-4b9a-a6be-0440d92871e8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-05-14T06:58:49.4966611+00:00",
    "updatedDateUtc": "2026-05-14T06:58:49.4966611+00:00"
  },
  {
    "nodeRouteId": "d63cdc6e-39b2-4d46-ade3-0d9cc0754649",
    "tenantId": "89599a9c-9153-4b19-b494-1d3c9f8afaae",
    "userId": "045d5898-56a8-45d3-9da7-081fcbc4a4cc",
    "userGroupId": "a5ab7147-1e8b-4c2b-8213-f59bcf797d9c",
    "deviceId": "f7f3ff85-500f-4b49-9a92-634206f1407c",
    "deviceGroupId": "e52cab40-1a0e-4b44-b142-6d1a6d488b2f",
    "applicationId": "c63c8e87-c43c-4b9e-ad12-37ef30ec97f5",
    "applicationVersionId": "937367ee-f1ad-47f2-8272-b37c112fd8ad",
    "nodeId": "b68b54c0-05d9-4b9a-a6be-0440d92871e8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-05-14T06:58:49.4966611+00:00",
    "updatedDateUtc": "2026-05-14T06:58:49.4966611+00:00"
  },
  {
    "nodeRouteId": "d63cdc6e-39b2-4d46-ade3-0d9cc0754649",
    "tenantId": "89599a9c-9153-4b19-b494-1d3c9f8afaae",
    "userId": "045d5898-56a8-45d3-9da7-081fcbc4a4cc",
    "userGroupId": "a5ab7147-1e8b-4c2b-8213-f59bcf797d9c",
    "deviceId": "f7f3ff85-500f-4b49-9a92-634206f1407c",
    "deviceGroupId": "e52cab40-1a0e-4b44-b142-6d1a6d488b2f",
    "applicationId": "c63c8e87-c43c-4b9e-ad12-37ef30ec97f5",
    "applicationVersionId": "937367ee-f1ad-47f2-8272-b37c112fd8ad",
    "nodeId": "b68b54c0-05d9-4b9a-a6be-0440d92871e8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-05-14T06:58:49.4966611+00:00",
    "updatedDateUtc": "2026-05-14T06:58:49.4966611+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-05-14T06:58:49.4966611+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-14T06:58:49.4966611+00:00</UpdatedDateUtc>
    <ApplicationId>c63c8e87-c43c-4b9e-ad12-37ef30ec97f5</ApplicationId>
    <ApplicationVersionId>937367ee-f1ad-47f2-8272-b37c112fd8ad</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>e52cab40-1a0e-4b44-b142-6d1a6d488b2f</DeviceGroupId>
    <DeviceId>f7f3ff85-500f-4b49-9a92-634206f1407c</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>b68b54c0-05d9-4b9a-a6be-0440d92871e8</NodeId>
    <NodeRouteId>d63cdc6e-39b2-4d46-ade3-0d9cc0754649</NodeRouteId>
    <TenantId>89599a9c-9153-4b19-b494-1d3c9f8afaae</TenantId>
    <UserGroupId>a5ab7147-1e8b-4c2b-8213-f59bcf797d9c</UserGroupId>
    <UserId>045d5898-56a8-45d3-9da7-081fcbc4a4cc</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-05-14T06:58:49.4966611+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-14T06:58:49.4966611+00:00</UpdatedDateUtc>
    <ApplicationId>c63c8e87-c43c-4b9e-ad12-37ef30ec97f5</ApplicationId>
    <ApplicationVersionId>937367ee-f1ad-47f2-8272-b37c112fd8ad</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>e52cab40-1a0e-4b44-b142-6d1a6d488b2f</DeviceGroupId>
    <DeviceId>f7f3ff85-500f-4b49-9a92-634206f1407c</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>b68b54c0-05d9-4b9a-a6be-0440d92871e8</NodeId>
    <NodeRouteId>d63cdc6e-39b2-4d46-ade3-0d9cc0754649</NodeRouteId>
    <TenantId>89599a9c-9153-4b19-b494-1d3c9f8afaae</TenantId>
    <UserGroupId>a5ab7147-1e8b-4c2b-8213-f59bcf797d9c</UserGroupId>
    <UserId>045d5898-56a8-45d3-9da7-081fcbc4a4cc</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-05-14T06:58:49.4966611+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-14T06:58:49.4966611+00:00</UpdatedDateUtc>
    <ApplicationId>c63c8e87-c43c-4b9e-ad12-37ef30ec97f5</ApplicationId>
    <ApplicationVersionId>937367ee-f1ad-47f2-8272-b37c112fd8ad</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>e52cab40-1a0e-4b44-b142-6d1a6d488b2f</DeviceGroupId>
    <DeviceId>f7f3ff85-500f-4b49-9a92-634206f1407c</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>b68b54c0-05d9-4b9a-a6be-0440d92871e8</NodeId>
    <NodeRouteId>d63cdc6e-39b2-4d46-ade3-0d9cc0754649</NodeRouteId>
    <TenantId>89599a9c-9153-4b19-b494-1d3c9f8afaae</TenantId>
    <UserGroupId>a5ab7147-1e8b-4c2b-8213-f59bcf797d9c</UserGroupId>
    <UserId>045d5898-56a8-45d3-9da7-081fcbc4a4cc</UserId>
  </NodeRouteRepresentation>
</ArrayOfNodeRouteRepresentation>